
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #982

Track focus lost when navigating to another window.

April 26, 2020 21:39 - Dale Powell

Status: Rejected Start date: April 26, 2020

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

History

#1 - April 26, 2020 21:45 - Dale Powell

(Can I full edit? I accidentally hit Enter while in the Subject field and very surprised it let me post the empty report!)

Sorry, I believe this can be deleted, I would have caught it when retesting to write the steps. I think older versions didn't clear the selection when

clicking on dead space (or maybe not when Audacious wasn't focused.) Maybe it's a GTK/Qt difference, either way don't think it's really a bug now as

it also does it if you click on an empty part of the playlist.

#2 - April 27, 2020 03:55 - John Lindgren

Deselecting by clicking on blank space in the playlist seems to be intentional behavior in Qt.

But I don't think clicking on other dead areas of the window should affect the playlist at all. If I click on e.g. the status bar or an empty part of the menu

bar, I don't see any deselection nor loss of focus. Was there a particular area of the window that you were clicking on when you saw this?

#3 - April 27, 2020 10:00 - Dale Powell

I originally noticed it clicking to another window then clicking back onto an empty part of the playlist as I decided I wanted to delete the currently

playing track and move forwards in the play list (which means you then need to reselect the track so is a little cumbersome.) Depending on what I'm

doing in the other window I'd often use keyboard shortcut to switch windows but if my hand is already on the mouse I'm likely to use the mouse.

Agreed I suspect it's intentional behaviour in Qt and although a slight niggle and I can understand why it would be ignored. If I'd noticed it was only the

mouse before my accidental posting (I noticed when checking everything to write proper steps) I wouldn't have published the bug report at all...

#4 - April 27, 2020 10:01 - Dale Powell

(ONLY on empty part of playlist, not also.)

#5 - April 27, 2020 12:46 - John Lindgren

- Status changed from New to Rejected

Okay thanks for clarifying! I'll go ahead and close this.
